Aw: Re: where are current repo versions of UHD, openBTS and Gnuradio?

Alexander Chemeris alexander.chemeris at gmail.com
Mon Nov 4 10:33:56 UTC 2013


As i write, use branch 'umtrx' (default for this repo).

Please excuse typos. Written with a touchscreen keyboard.

--
Regards,
Alexander Chemeris
CEO/Founder Fairwaves LLC
http://fairwaves.ru
On Nov 4, 2013 1:52 AM, "Robert Light" <robert.light at gmx.de> wrote:

> Hi, I am checking out branch master from
> git clone -b master https://github.com/fairwaves/openbts-2.8.git
> and when running autoreconf -i   I get the following errors:
>
>  Makefile.am:31: error: required directory ./sqlite3 does not exist
> Makefile.am:31: error: required directory ./CommonLibs does not exist
> Makefile.am:31: error: required directory ./SR does not exist
>
> What am I doing wrong?
> I need two versions: one for usrp1 and one for umtrx, what to checkout and
> how to configure? Can someone guide me here....
>
> The README file in the above repo says "The script apps/setUpFiles.sh will
> create these directories.........."
> There is no such script. Is it available somewhere else?
>
>  *Gesendet:* Samstag, 02. November 2013 um 08:33 Uhr
> *Von:* "Alexander Chemeris" <alexander.chemeris at gmail.com>
> *An:* "Robert Light" <robert.light at gmx.de>
> *Cc:* umtrx <umtrx at lists.osmocom.org>
> *Betreff:* Re: where are current repo versions of UHD, openBTS and
> Gnuradio?
> On Sat, Nov 2, 2013 at 1:21 AM, Robert Light <robert.light at gmx.de> wrote:
> > Hi, Can someone point me to the current repo of UHD, openBTS and
> Gnuradio ?
> > I found several locations especially for openBTS and UHD i.e.:
> > "-b gprs-exp https://github.com/fairwaves/openbts-2.8.git"
> > "-b gprs-exp https://github.com/chemeris/openbts-p2.8.git"
> > "-b umtrx https://github.com/chemeris/openbts-p2.8.git"
> > So which one of the above is correct?
>
> Official repos are at "fairwaves" user. Repos in my github has more
> experimental branches, which you most likely don't need at this time.
>
> git clone https://github.com/fairwaves/openbts-2.8.git
> (branch umtrx)
>
>
> > "https://github.com/chemeris/UHD-Fairwaves.git"
> > "https://github.com/fairwaves/UHD-Fairwaves.git"
> > Again, which one of the above is correct?
>
> git clone https://github.com/fairwaves/openbts-2.8.git
> (branch fairwaves/umtrx)
>
>
> > I assume the below is correct:
> > "wget
> >
> http://gnuradio.org/redmine/attachments/download/279/gnuradio-3.4.2.tar.gz
> "
>
> The latest GnuRadio from 3.6 series works well for us.
>
> > I need a version of UHD, openBTS and Gnuradio that will run with both
> USRP1
> > and UmTRX at the same time. I mean, one of them connected at a time, but
> I
> > do not want to have two computers with separate installations for usrp1
> and
> > UmTRX.
>
> Above versions should work.
>
> > Can I configure openBTS with --with-usrp1 --with-singledb --with-uhd ?
> > I mean, can I enable usrp1 and uhd at the same time ?
> > How to switch then between usrp1 and UmTRX ?
>
> No, that's not possible.
> But given the fact that OpenBTS doesn't require to be installed, it's
> easy to have two copies for different configurations.
>
> That said, I recommend you to look into using Osmocom software instead
> of OpenBTS or in addition to OpenBTS, which is more stable and is
> evolving very fast:
> http://openbsc.osmocom.org/trac/wiki/network_from_scratch
>
> --
> Regards,
> Alexander Chemeris.
> CEO, Fairwaves LLC / ООО УмРадио
> http://fairwaves.ru
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/umtrx/attachments/20131104/28995e2f/attachment.html>


More information about the UmTRX mailing list